.. _restricoes:

========================
Dados de Restrições
========================

.. currentmodule:: inewave.libs.restricoes

As informações de restrições no NEWAVE, localizadas no arquivos das LIBS que são indicados no `indices.csv` com as respectivas funcionalidades, são armazenados na classe:

.. autoclass:: Restricoes
   :members:

.. currentmodule:: inewave.libs.modelos.restricoes

As informações existentes em cada um dos campos são armazenadas em modelos próprios
para cada um.

.. autoclass:: RegistroRE
   :members:

.. autoclass:: RegistroREHorizPer
   :members:

.. autoclass:: RegistroRELimFormPer
   :members:

.. autoclass:: RegistroRHE
   :members:

.. autoclass:: RegistroRHEHorizPer
   :members:

.. autoclass:: RegistroRHELsLPPEarmi
   :members:

.. autoclass:: RegistroRHQ
   :members:

.. autoclass:: RegistroRHQHorizPer
   :members:

.. autoclass:: RegistroRHQLsLPPVoli
   :members:

.. autoclass:: RegistroRHQLimFormPerPat
   :members:

.. autoclass:: RegistroRHV
   :members:

.. autoclass:: RegistroRHVHorizPer
   :members:

.. autoclass:: RegistroRHVLimFormPer
   :members:
